# TOPSIS-Dhruv-102117061

## Overview

The `TOPSIS-Dhruv-102117061` package is a specialized Python tool designed for conducting TOPSIS (Technique for Order of Preference by Similarity to Ideal Solution) analysis on datasets. TOPSIS is an effective multi-criteria decision-making method that helps in evaluating and ranking alternatives by measuring their closeness to the ideal solution.

## Features

- **Efficient TOPSIS Analysis**: This package is crafted to proficiently compute TOPSIS scores and ranks, assisting in informed decision-making for various alternatives within a dataset.

- **Command-Line Interface**: The package offers a user-friendly command-line interface, enabling easy execution of TOPSIS analysis with defined parameters.

- **Robust Error Handling**: Incorporating comprehensive error handling, the package ensures clear and informative feedback for incorrect inputs or missing files.

## Installation

To install the package, use the following pip command:

```bash
pip install TOPSIS-Dhruv-102117061
```
Example
To run a TOPSIS analysis with specified weights and impacts on your dataset, use
```bash
topsis data.csv "1,1,1,1" "+,+,-,+" result.csv
```
## Requirements
Python 3.x
pandas library
## Contribution
Contributions to the TOPSIS-Dhruv-102117061 package are highly encouraged and appreciated. You can contribute by opening issues, submitting pull requests, or suggesting enhancements.
